Bug 177856 - Evolution crash when clicking sort header buton
Evolution crash when clicking sort header buton
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2006-01-15 13:22 EST by Erwin Rol
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-27 13:16:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb backtrace (5.15 KB, text/plain)
2006-01-16 10:28 EST, James Laska
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 324790 None None None Never
GNOME Desktop 327035 None None None Never

  None (edit)
Description Erwin Rol 2006-01-15 13:22:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8) Gecko/20060103 Fedora/1.5-4 Firefox/1.5

Description of problem:
When clicking one of the sort headers in evolution it crashes, with a;

e-canvas.c-CRITICAL **: e_canvas_item_grab_focus: assertion `GTK_WIDGET_CAN_FOCUS (GTK_WIDGET (item->canvas))' failed
aborting...


Version-Release number of selected component (if applicable):
evolution-2.5.4-6

How reproducible:
Always

Steps to Reproduce:
1. start eveoltion
2. press one of the message sort header

  

Actual Results:  e-canvas.c-CRITICAL **: e_canvas_item_grab_focus: assertion `GTK_WIDGET_CAN_FOCUS (GTK_WIDGET (item->canvas))' failed
aborting...


Additional info:
Comment 1 Bojan Smojver 2006-01-15 17:02:17 EST
Me too. This is on an P4 based machine, so the arch is more than just x86_64.
Comment 2 James Laska 2006-01-16 10:28:33 EST
Created attachment 123237 [details]
gdb backtrace

Attaching gdb backtrace.  Please advise if there are additional debuginfo
packages you'd like applied when generating the backtrace.
Comment 3 Peter Robinson 2006-01-16 11:24:41 EST
I've been seeing crashes in 2.5.x on rawhide after around 5 minutes of it
running using evo and evo-connector for exchange. I filed the included (linked
below) backtrace with debuginfo installed on b.g.o, not sure if its related.
Comment 4 Dave Malcolm 2006-01-16 13:52:29 EST
Thanks for this bug report.  I believe that this is a long-standing source of a
"critical" glib warning from the ETable code.  Recent gnome-session changes have
made this level of warning be fatal.  I believe we're going to revert this.

This has already been filed upstream here:
http://bugzilla.gnome.org/show_bug.cgi?id=327035
Comment 5 Erwin Rol 2006-01-18 15:24:37 EST
With the last 20060118 rawhide update the crash went away.
Comment 6 Matthias Clasen 2006-01-26 21:42:37 EST
Ray, given that this is a "critical warning" bug, and filed upstream, should we
just close this UPSTREAM ?
Comment 7 Ray Strode [halfline] 2006-01-27 13:16:08 EST
Matthias,

sounds reasonable

Note You need to log in before you can comment on or make changes to this bug.